---
lang: en
title: 'API docs: tsdocs.shouldgeneratetsdocs'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/tsdocs
permalink: /doc/en/lb4/apidocs.tsdocs.shouldgeneratetsdocs.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [shouldGenerateTsDocs](./tsdocs.shouldgeneratetsdocs.md)

## shouldGenerateTsDocs() function

Check if a package should be processed for tsdocs

<b>Signature:</b>

```typescript
export declare function shouldGenerateTsDocs(pkg: LernaPackage): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  pkg | [LernaPackage](./tsdocs.lernapackage.md) | Lerna package |

<b>Returns:</b>

boolean


